Subject: Re: bug#59232:

From: Dmitry Gutov <[email-masked]>
Date: Wed, 20 Dec 2023 20:35:48 +0200

On 20/12/2023 19:38, Urban Engberg wrote:
> When I run this command directly in Emacs (using eval-defun), around the 
> first 100 lines of the svn output is written to the *annotate* buffer, 
> after which I get the output
> 
> 
>     Process svn exited abnormally with code 1
> 
> written to the buffer. If I set process-conection-type to t instead, the 
> process finishes without problems.
> 
> The svn command is run against an SSH-server inhouse and the 
> annotate-command takes around 1 second when run from my shell, and I 
> haven't seen it fail.

Maybe the command might fails when run in a non-interactive terminal?

You can try emulating the same circumstances in the shell by doing 
something like this:

   echo "" | git blame README | cat

(Of course, by replacing the command in the middle with the SVN command 
that actually runs.)